com.sun.syndication.io.impl

## Class RSS091NetscapeParser

- java.lang.Object
- - com.sun.syndication.io.impl.BaseWireFeedParser
  - - com.sun.syndication.io.impl.RSS090Parser
    - - com.sun.syndication.io.impl.RSS091UserlandParser
      - - com.sun.syndication.io.impl.RSS091NetscapeParser

All Implemented Interfaces:
  WireFeedParser

    public class RSS091NetscapeParser
    extends RSS091UserlandParser

### Constructor Summary

Constructors
`` `RSS091NetscapeParser()`
`protected` `RSS091NetscapeParser(java.lang.String type)`

### Method Summary

Methods
`protected java.lang.String` `getTextInputLabel()` To be overriden by RSS 0.91 Netscape parser
`protected boolean` `isHourFormat24(org.jdom.Element rssRoot)` To be overriden by RSS 0.91 Netscape and RSS 0.94
`boolean` `isMyType(org.jdom.Document document)` Inspects an XML Document (JDOM) to check if it can parse it.

### Methods inherited from class com.sun.syndication.io.impl.RSS091UserlandParser

`getImage, getItems, getRSSNamespace, getRSSVersion, getTextInput, parseChannel, parseImage, parseItem, parseItemDescription`

### Methods inherited from class com.sun.syndication.io.impl.RSS090Parser

`getContentNamespace, getRDFNamespace, parse, parseItems, parseTextInput, validateFeed`

### Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedParser

`extractForeignMarkup, getAttribute, getAttributeValue, getType, parseFeedModules, parseItemModules, parsePersonModules`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSS091NetscapeParser

    public RSS091NetscapeParser()

#### RSS091NetscapeParser

    protected RSS091NetscapeParser(java.lang.String type)

### Method Detail

#### isMyType

    public boolean isMyType(org.jdom.Document document)

Description copied from interface: `WireFeedParser`
Inspects an XML Document (JDOM) to check if it can parse it.

It checks if the given document if the type of feeds the parser understands.

Specified by:
  `isMyType` in interface `WireFeedParser`
Overrides:
  `isMyType` in class `RSS091UserlandParser`
Parameters:
  `document` - XML Document (JDOM) to check if it can be parsed by this parser.
Returns:
  true if the parser know how to parser this feed, false otherwise.

#### isHourFormat24

    protected boolean isHourFormat24(org.jdom.Element rssRoot)

Description copied from class: `RSS091UserlandParser`
To be overriden by RSS 0.91 Netscape and RSS 0.94

Overrides:
  `isHourFormat24` in class `RSS091UserlandParser`

#### getTextInputLabel

    protected java.lang.String getTextInputLabel()

Description copied from class: `RSS091UserlandParser`
To be overriden by RSS 0.91 Netscape parser

Overrides:
  `getTextInputLabel` in class `RSS091UserlandParser`